goto start
:usage
@echo off
echo Ŀ
echo  sdn_id.bat -- Builds SDN.ID file for submitting         
echo                product to Software Distribution          
echo                Network (SDN, run by Ray Kaliss).         
echo                Also prepares checklist and required      
echo                submission form in SDNPRINT.TMP.          
echo                                                          
echo  usage:                                                  
echo         sdn_id vendinfo_file                             
echo  where:                                                  
echo         vendinfo_file = pathname of VENDINFO.DIZ file    
echo                                                          
echo  example:                                                
echo     sdn_id C:\VENDINFO.DIZ                               
echo                                                          
echo  NOTE: Invoke in directory in which you want SDN.ID.     
echo        Remember to print and delete SDNPRINT.TMP.        
echo        VENDPRCS.EXE must be on your DOS path.            
echo                                                          
echo  From the VNDUTL VENDINFO Utilities, v1.31 (7/24/95)     
echo  Copyright 1994-95 Rams' Island Software, Parker, CO USA 
echo 
goto done

::----- check arguments -------------------------------------------
::-----    first argument must VENDINFO file pathname -------------
:start
if %1. == .        goto usage
if not exist %1    goto problem
goto argsOK

:argsOK
::----- test VENDINFO file ----------------------------------------   
vendprcs %1 -xppt
if errorlevel 52 goto viFileOK
goto problem

:viFileOK
::----- build SDN.ID program description file ---------------------
vendprcs %1 -xpd1 > SDN.ID
vendprcs %1 -zn -xpk -zu -y "OPSYS MMMYY @" >> SDN.ID
vendprcs -y " " >> SDN.ID
vendprcs %1 -xppl -y "FILES: @" >> SDN.ID
vendprcs -y " " >> SDN.ID
vendprcs %1 -xac -y "Author: @" >> SDN.ID
vendprcs %1 -xi1p -zn -y "Registration: @" >> SDN.ID
vendprcs %1 -xic -y " (@)" >> SDN.ID
vendprcs -y " " >> SDN.ID
vendprcs %1 -xpd -zr80 -zc75 >> SDN.ID

::----- print required submission form ----------------------------   
echo ============================================================================ > SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo          SDN International(sm) Program and Agreement Form Revision 11 >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs %1 -xpp -zn -y "Program Name and Version: @ v" >> SDNPRINT.TMP
vendprcs %1 -xpv >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo Author Name and Address: >> SDNPRINT.TMP
vendprcs %1 -xac -zi5 >> SDNPRINT.TMP
vendprcs %1 -xaa -zi5 >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo Work and Home Phone: >> SDNPRINT.TMP
vendprcs %1 -xap -y "     Work:  @" >> SDNPRINT.TMP
vendprcs %1 -xap -y "     Home:  @" >> SDNPRINT.TMP
vendprcs %1 -xaf -y "     Fax:   @" >> SDNPRINT.TMP
vendprcs %1 -xaei -y "     I-net: @" >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo [ ]  I request SDN distribution. I agree to the conditions of distribution and >> SDNPRINT.TMP
echo      certify the software is free from government, copyright, and moral >> SDNPRINT.TMP
echo      distribution restrictions. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo [ ]  I request free Fidonet distribution. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo [ ]  I have enclosed $40.00 support for SDN - please queue my program for >> SDNPRINT.TMP
echo      uploading to commercial services cooperating with SDN. I have crossed >> SDNPRINT.TMP
echo      out any service I have already uploaded to myself, or that I do not want >> SDNPRINT.TMP
echo      SDN to upload to.. I'm aware SDN can not guarantee management's posting. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo          SERVICES:  BIX, DELPHI, NOVALINK, AOL, FIDONET, SIMTEL(CD) >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo Signed:                                                    Date: >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -xxd -zi60 >> SDNPRINT.TMP
echo      -------------------------------------------- >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo ============================================================================ >> SDNPRINT.TMP
echo                     Facsimile Form Produced from VENDINFO.DIZ by VNDUTL 1.31 >> SDNPRINT.TMP
echo  >> SDNPRINT.TMP
echo ============================================================================ >> SDNPRINT.TMP
echo Checklist of preparation steps for Software Distribution Network submission: >> SDNPRINT.TMP
echo ============================================================================ >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] If this is your first SDN submission, review the SDN documentation >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Invoke an ASCII text editor on the SDN.ID file you've created >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] In line 2, change OPSYS to list of the operating systems the product >> SDNPRINT.TMP
echo      runs under, using these names: DOS WINDOWS OS/2. If these are >> SDNPRINT.TMP
echo      already in your keywords, eliminate the second occurrence. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] In line 2, change MMMYY to SUBMISSION month & year, as JUL94 >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] If line 2 is wider than 75 characters, shorten it to that width >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] In line 3, verify package name(s) correct, with no extension, as MYPROG11 >> SDNPRINT.TMP
echo         NOTE: if product has multiple packages, manual correction NECESSARY >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] If line 1 or product description contains (Part 1 of 2) or similar >> SDNPRINT.TMP
echo      text, remove it.  SDN.ID describes whole product, not package. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Look over entire file, making sure it's all as you want it. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Look over the submission form, making sure it's all as you want it. >> SDNPRINT.TMP
echo      In particular, make sure your phone numbers are as you want them >> SDNPRINT.TMP
echo      (VENDINFO does not discriminate work and home phones). >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Place your package(s) on diskette(s) as described in SDN documentation >> SDNPRINT.TMP
echo      (Usually, unzipped files, no subdirectories; see SDN documentation if >> SDNPRINT.TMP
echo      you choose any other approach; definitely no ZIPs.) >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Copy the SDN.ID file onto first diskette of your SDN submission >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Prepare package including: >> SDNPRINT.TMP
echo         [ ] Diskette(s) (3.5 professionally labeled preferred) >> SDNPRINT.TMP
echo         [ ] SDN.ID is included on first disk of each product.
echo         [ ] Signed permission form >> SDNPRINT.TMP
echo         [ ] Stamped, self-addressed envelope >> SDNPRINT.TMP
echo         [ ] Optional contribution to SDN, if desired >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo  [ ] Send package to: >> SDNPRINT.TMP
echo         SDN International >> SDNPRINT.TMP
echo         13 Douglas Drive >> SDNPRINT.TMP
echo         Meriden, CT. 06451 >> SDNPRINT.TMP
echo         U.S.A. >> SDNPRINT.TMP
vendprcs -y " " >> SDNPRINT.TMP
echo ============================================================================ >> SDNPRINT.TMP
echo                                                      Produced by VNDUTL 1.31 >> SDNPRINT.TMP
goto done

:problem
@echo off
cls
echo Specified VENDINFO file
echo    (%1)
echo does not exist, or is corrupted, unregistered, or has some other
echo difficulty.

:done
